package ${domain}.action.ajax.wsys;

import org.springframework.beans.factory.annotation.Autowired;
import ${domain}.frame.auth.LocalData;
import ${domain}.module.wsys.mgr.UserRoleManager;
import ${domain}.module.wsys.req.UserRoleCreateRequest;
import ${domain}.module.wsys.req.UserRoleDeleteRequest;
import ${domain}.module.wsys.req.UserRoleFindRequest;
import ${domain}.module.wsys.req.UserRoleUpdateRequest;
import ${domain}.module.wsys.rsp.UserRoleCreateResponse;
import ${domain}.module.wsys.rsp.UserRoleDeleteResponse;
import ${domain}.module.wsys.rsp.UserRoleFindResponse;
import ${domain}.module.wsys.rsp.UserRoleUpdateResponse;

public class UserRoleAjax {

    @Autowired
    private UserRoleManager userRoleManager;

    public UserRoleCreateResponse create(UserRoleCreateRequest request) {
        return userRoleManager.create(request, LocalData.getToken());
    }

    public UserRoleDeleteResponse delete(UserRoleDeleteRequest request) {
        return userRoleManager.delete(request, LocalData.getToken());
    }

    public UserRoleUpdateResponse update(UserRoleUpdateRequest request) {
        return userRoleManager.update(request, LocalData.getToken());
    }

    public UserRoleFindResponse find(UserRoleFindRequest request) {
        return userRoleManager.find(request, LocalData.getToken());
    }
}
